Start signing up: a code goes to the email. 202 whether or not the address has an account.
POST
/api/auth/register
const url = 'https://example.com/api/auth/register';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"example","password":"example","displayName":"example","acceptTerms":true,"termsVersion":"example","inviteCode":"example","proof":{"token":"example","number":1},"deviceProfileId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/auth/register \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "password": "example", "displayName": "example", "acceptTerms": true, "termsVersion": "example", "inviteCode": "example", "proof": { "token": "example", "number": 1 }, "deviceProfileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
Example generated
{ "email": "example", "password": "example", "displayName": "example", "acceptTerms": true, "termsVersion": "example", "inviteCode": "example", "proof": { "token": "example", "number": 1 }, "deviceProfileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”Accepted
Media typeapplication/json
object
attemptId
required
string format: uuid
Example generated
{ "attemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}